Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class ListConsultationResponseType

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType
                  be.fgov.ehealth.dics.protocol.v4.ListConsultationResponseType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GetListOfActualMedicinalProductPackagesResponse, GetListOfActualMedicinalProductsResponse, GetListOfVirtualMedicinalProductsResponse, GetListOfVmpGroupsResponse

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:31+01:00",
               comments="JAXB RI v2.2.11")
    public class ListConsultationResponseType

extends PaginationStatusResponseType
implements Serializable

Java class for ListConsultationResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ListConsultationResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}PaginationStatusResponseType">
           <attribute name="Total" type="{http://www.w3.org/2001/XMLSchema}int" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ListConsultationResponseType()`

Method Summary
`Integer` | `getTotal()` Gets the value of the total property.
`void` | `setTotal(Integer value)` Sets the value of the total property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType
`getMaxElements, getOffset, setMaxElements, setOffset`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListConsultationResponseType

    public ListConsultationResponseType()

Method Detail

### getTotal

    public Integer getTotal()

  Gets the value of the total property.

  Returns:
    possible object is `Integer`

### setTotal

    public void setTotal(Integer value)

  Sets the value of the total property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.